Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.util.jdbc
Class DatabaseFactory

    java.lang.Object
      com.bea.p13n.util.jdbc.DatabaseFactory

Deprecated No longer needed, as JDBC methods for BLOB and CLOB will work with all supported drivers. `JdbcHelper` has clob get/set helper methods.

    @Deprecated
    public class DatabaseFactory

extends Object

See Also
  `JdbcHelper`

Constructor Summary
`DatabaseFactory()` Deprecated

Method Summary
`static Connection` | `getConnection(DataSource src, int retries)` Deprecated Use DataSource.getConnection(), set retries by configuring the Pool
`static Connection` | `getConnection(DataSource src, int retries, long waitTime)` Deprecated Use DataSource.getConnection(), set retries and waitTime by configuring the Pool
`static Database` | `getInstance(Connection connection)` Deprecated Get the driver-specific Database instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseFactory

    public DatabaseFactory()

  Deprecated

Method Detail

### getInstance

    public static Database getInstance(Connection connection)
                                throws SQLException

  Deprecated
  Get the driver-specific Database instance.

  Parameters
    `connection` - A java.sql.Connection object.
  Returns
    The driver-specific Database instance.
  Throws
    `SQLException` - Cannot create or cannot find Database instance for the connection.

### getConnection

    @Deprecated
    public static Connection getConnection(DataSource src,
                                                      int retries,
                                                      long waitTime)
                                    throws SQLException

  Deprecated Use DataSource.getConnection(), set retries and waitTime by configuring the Pool

  Get a connection from a DataSource.

  This method no longer honors the retry parameter; it will use the 'Connection Reserve Timeout' parameter set on the JdbcConnectionPool via the WLS console.

  Parameters
    `src` - The DataSource.
    `retries` - No longer used - the settings on the pool are now used
    `waitTime` - No longer used - the settings on the pool are now used
  Returns
    A Connection from the DataSource on success.
  Throws
    `SQLException` - Thrown when trying to get a connection.

### getConnection

    @Deprecated
    public static Connection getConnection(DataSource src,
                                                      int retries)
                                    throws SQLException

  Deprecated Use DataSource.getConnection(), set retries by configuring the Pool

  Get a connection from a DataSource.

  This method no longer honors the retry parameter; it will use the 'Connection Reserve Timeout' parameter set on the JdbcConnectionPool via the WLS console.

  Parameters
    `src` - The DataSource.
    `retries` - No longer used - the settings on the pool are now used
  Returns
    A Connection from the DataSource on success.
  Throws
    `SQLException` - Thrown on an error when getting a connection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.